Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module mainframe :: Class StatusBarAdapter |
[frames] | no frames]

# Class StatusBarAdapter

source code

    object --+
             |
            StatusBarAdapter

Instance Methods
__init__(self, wx_status_bar) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
set_text(self, text) | source code
set_hidden_event_count_text(self, text) | source code
set_read_only_text(self, text) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| HIDDEN_EVENT_COUNT_COLUMN = `1`
| READ_ONLY_COLUMN = `2`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, wx_status_bar) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)